package com.ruoyi.system.domain;

import java.math.BigDecimal;

import com.fasterxml.jackson.annotation.JsonFilter;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonView;
import com.ruoyi.common.core.domain.JsonViewProfile;
import com.ruoyi.common.core.domain.ValidGroup;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;

/**
 * 充值渠道对象 sm_channel
 * 
 * @author ruoyi
 * @date 2024-04-15
 */
@Data
public class SmChannel extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @JsonView(JsonViewProfile.App.class)
    private Long channelId;

    /** 渠道名称 */
    @Excel(name = "渠道名称")
    @JsonView(JsonViewProfile.App.class)
    private String name;

    /** 是否启用 */
    @Excel(name = "是否启用")
    private Boolean enabled;

    /** 服务费费率% */
    @Excel(name = "服务费费率%")
    @Min(value = 0, message = "服务费费率不允许低于0", groups = {ValidGroup.Update.class})
    @JsonView(JsonViewProfile.App.class)
    private BigDecimal serviceRate;

    /** 成本率% */
    @Excel(name = "成本率%")
    @Min(value = 0, message = "成本率不允许低于0", groups = {ValidGroup.Update.class})
    private BigDecimal costRate;

}
