package com.ruoyi.system.domain.enums.device;

import java.math.BigDecimal;
import java.util.Objects;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 断电方式
 * @author wjh
 * 2024/3/22
 */
@AllArgsConstructor
@Getter
public enum DeviceOutageWay {

	NOT_OUTAGE("0",  "欠费不断电"),
	IMMEDIATE("1", "欠费立即断电");

    private final String value;
    private final String msg;

    public static DeviceOutageWay parse(String value) {
        for (DeviceOutageWay obj : DeviceOutageWay.values()) {
            if (Objects.equals(obj.getValue(), value)) {
                return obj;
            }
        }
        throw new RuntimeException("不存在值为" + value + "的断电方式");
    }

}