package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.SmWxPayNotify;

/**
 * 微信支付通知Mapper接口
 * 
 * @author ruoyi
 * @date 2024-03-13
 */
public interface SmWxPayNotifyMapper 
{
    /**
     * 查询微信支付通知
     * 
     * @param notifyId 微信支付通知主键
     * @return 微信支付通知
     */
    public SmWxPayNotify selectSmWxPayNotifyByNotifyId(String notifyId);

    /**
     * 查询微信支付通知列表
     * 
     * @param smWxPayNotify 微信支付通知
     * @return 微信支付通知集合
     */
    public List<SmWxPayNotify> selectSmWxPayNotifyList(SmWxPayNotify smWxPayNotify);

    /**
     * 新增微信支付通知
     * 
     * @param smWxPayNotify 微信支付通知
     * @return 结果
     */
    public int insertSmWxPayNotify(SmWxPayNotify smWxPayNotify);

    /**
     * 修改微信支付通知
     * 
     * @param smWxPayNotify 微信支付通知
     * @return 结果
     */
    public int updateSmWxPayNotify(SmWxPayNotify smWxPayNotify);

    /**
     * 删除微信支付通知
     * 
     * @param notifyId 微信支付通知主键
     * @return 结果
     */
    public int deleteSmWxPayNotifyByNotifyId(Long notifyId);

    /**
     * 批量删除微信支付通知
     * 
     * @param notifyIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSmWxPayNotifyByNotifyIds(Long[] notifyIds);
}
